class CfgPatches {
    class testcustomfontscale {
        units[] = {MfdExample, MfdCounterExample};
		author ="mattysmith22";
		weapons[] = {};
		requiredVersion = 1.0;
		requiredAddons[] = {"A3_Data_F_AoW_Loadorder"};
    };
};
class CfgFontFamilies {
    class EtelkaMonospacePro;
    class CustomEtelkaMonospacePro: EtelkaMonospacePro {};
	class fza_BMKApacheFont
	{
		fonts[] = 
			{"testcustomfontscale\font\BMKApacheFont46"};
    };
};
class CfgVehicles {
    class B_Quadbike_01_F;
    class MfdExampleEtelkaMonospacePro : B_Quadbike_01_F {
        displayName = "Test - EtelkaMonospacePro - Works";
        class MFD {
            class ScaleExample {
                color[] = {0,1,1,1};
                font = "EtelkaMonospacePro";
                helmetMountedDisplay = true;
                helmetDown[] = {0,-0.06,0};
                helmetPosition[] = {-0.03,0.03,0.1};
                helmetRight[]={0.06,0,0};
                borderLeft=0;
                borderRight=0;
                borderTop=0;
                borderBottom=0;
                topLeft="";
                topRight="";
                bottomLeft="";
                enableParallax=0;
                class Bones {};
                class Draw {
                    class Text {
                        type=text;
                        align=center;
                        scale = 1;
                        pos[] = {{0.5,0.5}, 1};
                        right[] = {{0.5+(0.1/4*3),0.5}, 1};
                        down[] = {{0.5,0.6}, 1};
                        source=static;
                        text="Static Text";
                        sourceScale=1;
                    };
                    class Scale {
                        //Source info
                        source = heading;
                        sourceScale = 1;

                        //Tape setup
                        type = scale;
                        horizontal = 1;
                        neverEatSeaWeed = 1;
                        step = 10;
                        stepSize = __EVAL(0.5/18-0.001);
                        lineXLeft = 0.15;
                        lineYRight = 0.165;
                        lineXLeftMajor = 0.15;
                        lineYRightMajor = 0.18;
                        top = 0.25;
                        bottom = 0.75;
                        center = 0.5;
                        majorLineEach = 3;
                        numberEach = 3;
                        width = 3;

                        //Text config
                        align = center;
                        scale = 1;
                        pos[] = {0.25, 0.15-0.1};
                        right[] = {0.25 + 0.1/4*3, 0.15-0.1};
                        down[] = {0.25, 0.15};
                    };
                };
            };
        };
    };
    
    class MfdExampleCustomEtelkaMonospacePro : MfdExampleEtelkaMonospacePro {
        displayName = "Test - CustomEtelkaMonospacePro - Works";
        class MFD : MFD {
            class ScaleExample : ScaleExample {
                font = "CustomEtelkaMonospacePro";
            };
        };
    };

    class MfdExamplefza_BMKApacheFont : MfdExampleEtelkaMonospacePro {
        displayName = "Test - fza_BMKApacheFont - Doesn't work";
        class MFD : MFD {
            class ScaleExample : ScaleExample {
                font = "fza_BMKApacheFont";
            };
        };
    };
};
